Subject: Bug#466193: Skip job while on battery power option

From: intrigeri <[email-masked]>
Date: Tue, 05 Jan 2010 15:23:45 +0100

Hi,

Adam Porter wrote (17 Feb 2008 07:32:24 GMT) :
> When using backupninja on a laptop, it would be nice to be able to
> choose to not run certain jobs when off AC power. I don't want to
> use my limited battery power running a backup, I'd rather wait until
> I plug the system in.

Until someone comes up with a mergeable patch, please note the new
"halt" function can be used in a .sh handler to abort all backups
unless $CONDITION is not met.

Bye,
--
  intrigeri <[email-masked]>
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr-fingerprint.asc
  | Do not be trapped by the need to achieve anything.
  | This way, you achieve everything.